{
  "name": "myapp",
  "version": "1.0.0",
  "private": true,
  "scripts": {
    "type-check": "tsc --noEmit",
    "dev": "node ace serve --watch",
    "compress:xslt": "./node_modules/xslt3/xslt3.js -xsl:public/assets2/datasetxml2oai-pmh.xslt -export:public/assets2/datasetxml2oai.sef.json -t -nogo '-ns:##html5'",
    "compress:solr": "./node_modules/xslt3/xslt3.js -xsl:public/assets2/solr.xslt -export:public/assets2/solr.sef.json -t -nogo '-ns:##html5'",
    "compress:doi": "./node_modules/xslt3/xslt3.js -xsl:public/assets2/doi_datacite.xslt -export:public/assets2/doi_datacite.sef.json -t -nogo '-ns:##html5'",
    "build": "node ace build --ignore-ts-errors",
    "start": "node server.js",
    "lint": "eslint . --ext=.ts",
    "format": "prettier --write .",
    "format-check": "prettier --check ./**/*.{ts,js}",
    "test": "node ace test"
  },
  "eslintIgnore": [
    "build"
  ],
  "alias": {
    "vue": "./node_modules/vue/dist/vue.esm-bundler.js"
  },
  "devDependencies": {
    "@adonisjs/assembler": "^7.1.1",
    "@adonisjs/tsconfig": "^1.2.1",
    "@babel/core": "^7.20.12",
    "@babel/plugin-proposal-class-properties": "^7.18.6",
    "@babel/plugin-proposal-decorators": "^7.20.13",
    "@babel/plugin-transform-runtime": "^7.19.6",
    "@babel/preset-env": "^7.20.2",
    "@babel/preset-typescript": "^7.18.6",
    "@japa/api-client": "^2.0.3",
    "@japa/assert": "^3.0.0",
    "@japa/plugin-adonisjs": "^3.0.0",
    "@japa/runner": "^3.1.1",
    "@mdi/js": "^7.1.96",
    "@poppinss/utils": "^6.7.2",
    "@swc/core": "^1.4.2",
    "@symfony/webpack-encore": "^4.6.1",
    "@tailwindcss/forms": "^0.5.2",
    "@types/bcryptjs": "^2.4.6",
    "@types/clamscan": "^2.0.4",
    "@types/escape-html": "^1.0.4",
    "@types/leaflet": "^1.9.3",
    "@types/luxon": "^3.4.2",
    "@types/node": "^20.1.1",
    "@types/proxy-addr": "^2.0.0",
    "@types/qrcode": "^1.5.5",
    "@types/source-map-support": "^0.5.6",
    "@types/sprintf-js": "^1.1.4",
    "@types/supertest": "^6.0.2",
    "autoprefixer": "^10.4.13",
    "babel-preset-typescript-vue3": "^2.0.17",
    "chart.js": "^4.2.0",
    "dotenv-webpack": "^8.0.1",
    "eslint": "^8.57.0",
    "eslint-config-prettier": "^9.0.0",
    "eslint-plugin-adonis": "^2.1.1",
    "eslint-plugin-prettier": "^5.0.0-alpha.2",
    "numeral": "^2.0.6",
    "pinia": "^2.0.30",
    "pino-pretty": "^11.2.2",
    "postcss-loader": "^7.3.4",
    "prettier": "^3.0.0",
    "supertest": "^6.3.3",
    "tailwindcss": "^3.2.4",
    "ts-loader": "^9.4.2",
    "ts-node": "^10.9.2",
    "typescript": "^5.1.3",
    "vue": "^3.4.26",
    "vue-facing-decorator": "^3.0.0",
    "vue-loader": "^17.0.1",
    "xslt3": "^2.5.0"
  },
  "dependencies": {
    "@adonisjs/auth": "^9.1.1",
    "@adonisjs/core": "^6.3.1",
    "@adonisjs/cors": "^2.2.1",
    "@adonisjs/drive": "^2.3.0",
    "@adonisjs/encore": "^1.0.0",
    "@adonisjs/inertia": "^1.0.0-7",
    "@adonisjs/lucid": "^21.1.0",
    "@adonisjs/mail": "^9.2.2",
    "@adonisjs/redis": "^9.1.0",
    "@adonisjs/session": "^7.1.1",
    "@adonisjs/shield": "^8.1.1",
    "@adonisjs/static": "^1.1.1",
    "@eidellev/adonis-stardust": "^3.0.0",
    "@fontsource/archivo-black": "^5.0.1",
    "@fontsource/inter": "^5.0.1",
    "@inertiajs/inertia": "^0.11.1",
    "@inertiajs/vue3": "^1.0.0",
    "@opensearch-project/opensearch": "^2.4.0",
    "@phc/format": "^1.0.0",
    "@vinejs/vine": "^2.0.0",
    "bcrypt": "^5.1.1",
    "bcryptjs": "^2.4.3",
    "clamscan": "^2.1.2",
    "crypto": "^1.0.1",
    "dayjs": "^1.11.7",
    "edge.js": "^6.0.1",
    "escape-html": "^1.0.3",
    "focus-trap": "^7.5.4",
    "fs-extra": "^11.2.0",
    "http-status-codes": "^2.2.0",
    "leaflet": "^1.9.3",
    "luxon": "^3.2.1",
    "node-2fa": "^2.0.3",
    "node-exceptions": "^4.0.1",
    "notiwind": "^2.0.0",
    "pg": "^8.9.0",
    "qrcode": "^1.5.3",
    "redis": "^4.6.10",
    "reflect-metadata": "^0.2.1",
    "saxon-js": "^2.5.0",
    "toastify-js": "^1.12.0",
    "vuedraggable": "^4.1.0",
    "xmlbuilder2": "^3.1.1"
  },
  "type": "module",
  "imports": {
    "#controllers/*": "./app/Controllers/*.js",
    "#exceptions/*": "./app/exceptions/*.js",
    "#models/*": "./app/models/*.js",
    "#services/*": "./app/services/*.js",
    "#listeners/*": "./app/listeners/*.js",
    "#events/*": "./app/events/*.js",
    "#middleware/*": "./app/middleware/*.js",
    "#validators/*": "./app/validators/*.js",
    "#start/*": "./start/*.js",
    "#config/*": "./config/*.js",
    "#app/*": "./app/*.js",
    "#database/*": "./database/*.js",
    "#contracts/*": "./contracts/*.js",
    "#providers/*": "./providers/*.js",
    "#library/*": "./app/Library/*.js"
  }
}
